Google Web Toolkit (Beta)
Search this site:

# Interface SourcesLoadEvents

public interface SourcesLoadEvents
// Implemented by `Image`
A widget that implements this interface sources the events defined by the LoadListener interface.

## Methods

addLoadListener(LoadListener) | Adds a listener interface to receive load events.
removeLoadListener(LoadListener) | Removes a previously added listener interface.

## Method Detail

### addLoadListener

public void addLoadListener(LoadListener listener)
Adds a listener interface to receive load events.

#### Parameters

listener
  the listener interface to add

### removeLoadListener

public void removeLoadListener(LoadListener listener)
Removes a previously added listener interface.

#### Parameters

listener
  the listener interface to remove